## modconf 0.3.0

=== Makefile ===
HOWTO=./Module-HOWTO.gz
LANGS=C ca cs da de eo es fr gl hr it ja pl pt_BR sv
EVALS=$(addprefix eval_, $(LANGS))
EVALTARGETS=$(EVALS) $(patsubst %,%.utf-8,$(EVALS))
charset-C = utf-8
charset-ca = iso-8859-1
charset-cs = iso-8859-2
charset-da = iso-8859-1
charset-de = iso-8859-1
charset-eo = iso-8859-3
charset-es = iso-8859-1
charset-fr = iso-8859-1
charset-gl = iso-8859-1
charset-hr = iso-8859-2
charset-it = iso-8859-1
charset-ja = eucjp
charset-ko = euc-kr
charset-pl = iso-8859-2
charset-pt_BR = iso-8859-1
charset-sv = iso-8859-1

MANPAGES = modconf.8 modconf.8.pl modconf.8.fr modconf.8.es

KERNELTREE24=/usr/src/linux-2.4
KERNELTREE26=/usr/src/linux

all:	descr.gz $(EVALTARGETS) #eval.gz

install: all
	install -d -m 755 $(DESTDIR)/usr/sbin
	install -m 755 modconf $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/usr/share/modconf
	install -m 644 eval_* descr.gz $(DESTDIR)/usr/share/modconf
	install -m 644 modules/dialog $(DESTDIR)/usr/share/modconf
	install -m 755 modules/util $(DESTDIR)/usr/share/modconf
	install -m 755 modules/params $(DESTDIR)/usr/share/modconf
	for x in $(MANPAGES) ; do \
		lang=$${x#modconf.8} ; lang=$${lang#.} ; \
		install -d -m 755 $(DESTDIR)/usr/share/man/$$lang/man8; \
		install -m 644 $$x $(DESTDIR)/usr/share/man/$$lang/man8/modconf.8; \
		gzip -9 -f $(DESTDIR)/usr/share/man/$$lang/man8/modconf.8; \
	done

descr.gz:	descr.additional $(HOWTO) mkdescr.pl
	rm -f descr
	if [ -f descr.additional ]; then cp descr.additional descr; fi
	echo >>descr
	echo >>descr
	zcat $(HOWTO) | perl mkdescr.pl >> descr
	gzip -9f descr

eval_%.utf-8: eval_%
	iconv -t utf-8 -f $(charset-$(patsubst eval_%,%,$<)) < $< >$@

eval_%:	build/eval_%.auto
	-cat template/eval_$*.fixed | grep -v "^summary" > build/$@.1
	-cat template/eval_$*.fixed | grep "^summary" > build/$@.2
	[ ! -f template/eval_$*.additional ] || cat template/eval_$*.additional >> build/$@.3
	[ ! -f build/eval_$*.auto ] || cat build/eval_$*.auto >> build/$@.3
	touch build/$@.3
	cat build/$@.3 | sort | uniq > build/$@.4
	# Note ordering -- the descriptions in fixed overrids everything else
	cat build/$@.1 build/$@.4 build/$@.2 > $@
	rm -f build/$@.[1-4]

build/eval_%.auto: build/pcmcia-src build/kerneldsc
	[ -d build ] || mkdir build
	( cat build/kerneldsc ; debian/mkpcmciadesc.pl build/pcmcia-src) | sort | uniq > $@

build/kerneldsc:
	debian/mkkerneldesc.pl "$(KERNELTREE24)" >  build/kerneldsc
	debian/mkkerneldesc.pl "$(KERNELTREE26)" >> build/kerneldsc

build/pcmcia-src:
	mkdir -p build/pcmcia-src || true
	zcat /usr/src/pcmcia-cs.tar.gz | tar -x -C build/pcmcia-src

count: $(EVALTARGETS)
	@for i in $(EVALTARGETS); do \
	  echo -n "$$i "; \
	  grep "^summary" $$i | wc -l; \
	done

#eval.gz:	eval
#	cat eval| sed -e 's/"$$/";/'| gzip -9 >eval.gz

clean:
	-rm -f debian/*~ *~ descr.gz descr eval.gz modconf.8*.gz eval_*
	-rm -rf build

.PHONY: count clean

=== debian/changelog ===
modconf (0.3.0) unstable; urgency=low

  * Apply fixes to Spanish man page by Ruben Porras (Closes: #310275)
  * Use descriptions both from 2.6 and 2.4 which removes most of
    the "(no description available)" messages.
    Lets declare this to be 0.3.0 to get rid of these insane version
    numbers
  * Bump Standards-Version to 3.6.2 (no changes)
  * Lintian indicated fixes:
    - Update FSF address in COPYING and debian/copyright
    - Remove unnecessary closes= attributes in changelog

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 28 Aug 2005 23:59:28 +0200

modconf (0.2.27) frozen unstable; urgency=medium

  * Module configuration, i.e. parameters, are not removed if a module
    fails or if a module gets removed (closes: Bug#68496, Bug#58705)
  * Added description for sb.o to eval_*.fixed files so it overwrites
    wrong description as grabbed from the kernel source (closes:
    Bug#63203, Bug#66879)
  * Added descriptions to eval_C.fixed for modules for which the script
    does not fetch descriptions from the kernel tree (closes: Bug#55939)
  * Removing a module will comment out its configuration.  I've decided
    not to remove the file and configuration entirely since the user may
    want to reuse it later.
  * Stop with that mega-NMU versioning, let's call this version 0.2.27

 -- Martin Schulze <joey@infodrom.ffis.de>  Thu, 10 Aug 2000 10:10:04 +0200

modconf (0.2.19.1) unstable; urgency=low

  * Non-maintainer release
  * The user isn't queried for parameters if none is required
  * Additional spaces before and after the equal sign in a response will
    be removed before continuing.
  * Changed description for ne module (closes: Bug#21519)
  * Added eval_de file for a German version of modconf

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  3 Nov 1998 13:10:19 +0100

=== debian/control ===
Source: modconf
Section: admin
Priority: optional
Maintainer: Frank Lichtenheld <djpig@debian.org>
Build-Depends: debhelper (>= 4)
Build-Depends-Indep: pcmcia-source, kernel-tree-2.4.27, linux-tree-2.6.12
Standards-Version: 3.6.2

Package: modconf
Architecture: all
Depends: whiptail-provider | whiptail, modutils | module-init-tools
Conflicts: modutils (<< 2.1.85-14), module-init-tools (<< 3.1-pre2-1)
Description: Device Driver Configuration
 Modconf provides a terminal-based interface for installing and configuring
 device driver modules.

=== debian/rules ===
#!/usr/bin/make -f

# copied from kernel-image-i386
version24 :=  $(shell \
        sed -n 's/.*kernel-tree-\([^,]*\).*/\1/p; t e; b; :e q' \
                debian/control \
)
version26 :=  $(shell \
        sed -n 's/.*linux-tree-\([^,]*\).*/\1/p; t e; b; :e q' \
                debian/control \
)

build: build-stamp
build-stamp:
	dh_testdir
	[ -d build ] || mkdir build
	cd build && tar xjf /usr/src/kernel-source-$(version24).tar.bz2
	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
	cd build/kernel-source-$(version24) && \
		/usr/src/kernel-patches/all/$(version24)/apply/debian $(version24)
	cd build/linux-source-$(version26) && \
		override_version=$(version26) \
		/usr/src/kernel-patches/all/$(version26)/apply/debian $(version26)
	$(MAKE) KERNELTREE24=$(CURDIR)/build/kernel-source-$(version24) \
		KERNELTREE26=$(CURDIR)/build/linux-source-$(version26)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	-rm -f build-stamp
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(CURDIR)/debian/modconf

	dh_installchangelogs
	dh_installdocs

	dh_compress
	dh_fixperms

	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

# Below here is fairly generic really
binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## modconf 0.3.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 
 MANPAGES = modconf.8 modconf.8.pl modconf.8.fr modconf.8.es
 
-KERNELTREE24=/usr/src/linux-2.4
 KERNELTREE26=/usr/src/linux
 
 all:	descr.gz $(EVALTARGETS) #eval.gz
@@ -63,17 +62,12 @@
 	cat build/$@.1 build/$@.4 build/$@.2 > $@
 	rm -f build/$@.[1-4]
 
-build/eval_%.auto: build/pcmcia-src build/kerneldsc
+build/eval_%.auto: build/kerneldsc
 	[ -d build ] || mkdir build
-	( cat build/kerneldsc ; debian/mkpcmciadesc.pl build/pcmcia-src) | sort | uniq > $@
+	cat build/kerneldsc | sort | uniq > $@
 
 build/kerneldsc:
-	debian/mkkerneldesc.pl "$(KERNELTREE24)" >  build/kerneldsc
-	debian/mkkerneldesc.pl "$(KERNELTREE26)" >> build/kerneldsc
-
-build/pcmcia-src:
-	mkdir -p build/pcmcia-src || true
-	zcat /usr/src/pcmcia-cs.tar.gz | tar -x -C build/pcmcia-src
+	debian/mkkerneldesc.pl "$(KERNELTREE26)" > build/kerneldsc
 
 count: $(EVALTARGETS)
 	@for i in $(EVALTARGETS); do \

=== debian/changelog ===
modconf (0.3.1) unstable; urgency=high

  * Remove dependency on 2.4 kernel source and remove support for
    using pcmcia-source completly. Closes: #395229
    Upload with high urgency for RC bug fix.
  * Fix a FTBFS probably related to changes in the apply script
    for kernel patches.
  * Make the description parse script slightly more intelligent
    to find more descriptions.
  * Bump debhelper compat level to 5.
  * Bump Standards-Version to 3.7.2 (no changes).

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 10 Nov 2006 09:03:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Frank Lichtenheld <djpig@debian.org>
-Build-Depends: debhelper (>= 4)
-Build-Depends-Indep: pcmcia-source, kernel-tree-2.4.27, linux-tree-2.6.12
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 5)
+Build-Depends-Indep: linux-tree-2.6.18
+Standards-Version: 3.7.2
 
 Package: modconf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
 # copied from kernel-image-i386
-version24 :=  $(shell \
-        sed -n 's/.*kernel-tree-\([^,]*\).*/\1/p; t e; b; :e q' \
-                debian/control \
-)
 version26 :=  $(shell \
         sed -n 's/.*linux-tree-\([^,]*\).*/\1/p; t e; b; :e q' \
                 debian/control \
@@ -14,15 +10,11 @@
 build-stamp:
 	dh_testdir
 	[ -d build ] || mkdir build
-	cd build && tar xjf /usr/src/kernel-source-$(version24).tar.bz2
 	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
-	cd build/kernel-source-$(version24) && \
-		/usr/src/kernel-patches/all/$(version24)/apply/debian $(version24)
 	cd build/linux-source-$(version26) && \
 		override_version=$(version26) \
-		/usr/src/kernel-patches/all/$(version26)/apply/debian $(version26)
-	$(MAKE) KERNELTREE24=$(CURDIR)/build/kernel-source-$(version24) \
-		KERNELTREE26=$(CURDIR)/build/linux-source-$(version26)
+		/usr/src/kernel-patches/all/$(version26)/apply/debian
+	$(MAKE) KERNELTREE26=$(CURDIR)/build/linux-source-$(version26)
 	touch build-stamp
 
 clean:

## modconf 0.3.3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-HOWTO=./Module-HOWTO.gz
+HOWTO=./Module-HOWTO
 LANGS=C ca cs da de eo es fr gl hr it ja pl pt_BR sv
 EVALS=$(addprefix eval_, $(LANGS))
 EVALTARGETS=$(EVALS) $(patsubst %,%.utf-8,$(EVALS))
-charset-C = utf-8
+charset-C = ascii//translit
 charset-ca = iso-8859-1
 charset-cs = iso-8859-2
 charset-da = iso-8859-1
@@ -62,12 +62,19 @@
 	cat build/$@.1 build/$@.4 build/$@.2 > $@
 	rm -f build/$@.[1-4]
 
-build/eval_%.auto: build/kerneldsc
+build/eval_%.auto: build/kerneldsc build/locale
 	[ -d build ] || mkdir build
-	cat build/kerneldsc | sort | uniq > $@
+	cat build/kerneldsc | sort | uniq > $@.tmp
+	LC_ALL= LOCPATH=$(CURDIR)/build/locale LANG=en_US.UTF-8 iconv -f utf-8 -t $(charset-$(patsubst build/eval_%.auto,%,$@)) < $@.tmp >$@
+	rm -f $@.tmp
 
 build/kerneldsc:
 	debian/mkkerneldesc.pl "$(KERNELTREE26)" > build/kerneldsc
+
+# we need that for ascii//translit
+build/locale:
+	mkdir -p build/locale
+	localedef -i en_US -f UTF-8 build/locale/en_US.UTF-8
 
 count: $(EVALTARGETS)
 	@for i in $(EVALTARGETS); do \

=== debian/changelog ===
modconf (0.3.3ubuntu1) gutsy; urgency=low

  * Use linux-source-2.6.22 instead of linux-tree-2.6.21, and do not try to 
    apply Debian kernel patches before building (fixes FTBFS).
  * debian/control: adhere to DebianMaintainerField spec.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Fri, 10 Aug 2007 21:28:34 +0200

modconf (0.3.3) unstable; urgency=low

  * Update COPYING with current GPL v2 text
    from base-files
  * Build against kernel-tree-2.6.21
  * Add Vcs-git and Vcs-Browser in control
  * Improve parsing of Kconfig files:
    - parse menuconfig entries
    - there can be more than one space between
      (menu)?config and the variable name

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 23 May 2007 01:30:44 +0200

modconf (0.3.2) unstable; urgency=low

  * Fix escaping of qoutes in module summaries. Patch by
    Scott Edwards. (Closes: #358855)
  * Build against kernel-tree-2.6.20
  * Handle UTF-8 characters in module descriptions
    (seems the first now found his way in the kernel tree)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 11 May 2007 00:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: modconf
 Section: admin
 Priority: optional
-Maintainer: Frank Lichtenheld <djpig@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frank Lichtenheld <djpig@debian.org>
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: linux-tree-2.6.18
+Build-Depends-Indep: linux-source-2.6.22, locales
 Standards-Version: 3.7.2
+XS-Vcs-git: git://source.djpig.de/git/debian/modconf.git
+XS-Vcs-Browser: http://source.djpig.de/git/?p=debian/modconf.git;a=summary
 
 Package: modconf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # copied from kernel-image-i386
 version26 :=  $(shell \
-        sed -n 's/.*linux-tree-\([^,]*\).*/\1/p; t e; b; :e q' \
+        sed -n 's/.*linux-source-\([^,]*\).*/\1/p; t e; b; :e q' \
                 debian/control \
 )
 
@@ -11,9 +11,7 @@
 	dh_testdir
 	[ -d build ] || mkdir build
 	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
-	cd build/linux-source-$(version26) && \
-		override_version=$(version26) \
-		/usr/src/kernel-patches/all/$(version26)/apply/debian
+	cd build/linux-source-$(version26)
 	$(MAKE) KERNELTREE26=$(CURDIR)/build/linux-source-$(version26)
 	touch build-stamp

## modconf 0.3.5ubuntu1

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	[ ! -f build/eval_$*.auto ] || cat build/eval_$*.auto >> build/$@.3
 	touch build/$@.3
 	cat build/$@.3 | sort | uniq > build/$@.4
-	# Note ordering -- the descriptions in fixed overrids everything else
+	# Note ordering -- the descriptions in fixed override everything else
 	cat build/$@.1 build/$@.4 build/$@.2 > $@
 	rm -f build/$@.[1-4]

=== debian/changelog ===
modconf (0.3.5ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Use linux-source instead of linux-tree, and do not try to apply Debian
      kernel patches before building (fixes FTBFS).
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 31 Jan 2008 18:27:42 +0100

modconf (0.3.5) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes)
    + Bump kernel dependency to 2.6.23
    + Remove XS- prefix from Vcs fields
    + Swap alternates in depends around. Virtual
      packages should come after real ones and
      new ones before obsolete ones

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 05 Dec 2007 14:49:49 +0100

modconf (0.3.4ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Use linux-source instead of linux-tree, and do not try to apply Debian
      kernel patches before building (fixes FTBFS).
    - Modify Maintainer value to match the DebianMaintainerField spec

 -- Albin Tonnerre <lutin@ubuntu.com>  Mon, 26 Nov 2007 13:54:59 +0100

modconf (0.3.4) unstable; urgency=low

  * Build against kernel-tree-2.6.22 (Closes: #436383)
  * Fix lintian warning: debian-rules-ignores-make-clean-error

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 17 Sep 2007 01:50:48 +0200

=== debian/control ===
Source: modconf
Section: admin
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Frank Lichtenheld <djpig@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: linux-source-2.6.24, locales
Standards-Version: 3.7.3
Vcs-git: git://source.djpig.de/git/debian/modconf.git
Vcs-Browser: http://source.djpig.de/git/?p=debian/modconf.git;a=summary

Package: modconf
Architecture: all
Depends: whiptail | whiptail-provider, module-init-tools | modutils
Conflicts: modutils (<< 2.1.85-14), module-init-tools (<< 3.1-pre2-1)
Description: Device Driver Configuration
 Modconf provides a terminal-based interface for installing and configuring
 device driver modules.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	dh_testdir
 	[ -d build ] || mkdir build
 	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
+	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
 	cd build/linux-source-$(version26)
 	$(MAKE) KERNELTREE26=$(CURDIR)/build/linux-source-$(version26)
 	touch build-stamp
@@ -18,8 +19,8 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-$(MAKE) clean
-	-rm -f build-stamp
+	$(MAKE) clean
+	rm -f build-stamp
 	dh_clean
 
 binary-indep: build
@@ -48,4 +49,4 @@
 # Below here is fairly generic really
 binary:		binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep clean

## modconf 0.3.7ubuntu1

=== debian/changelog ===
modconf (0.3.7ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Use linux-source instead of linux-tree, and do not try to apply Debian
      kernel patches before building (fixes FTBFS).

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 13 May 2008 12:52:38 +0200

modconf (0.3.7) unstable; urgency=low

  * debian/control:
    + Bump kernel dependency to 2.6.25
    + Increase debhelper dependency to >= 7
  * debian/compat:
    + Increase debhelper compat level to 7
  * debian/rules:
    + Add call to dh_installman
    + Let debhelper take care of removing build-stamp
  * debian/postrm:
    + Remove, since it only removes a conffile that wasn't even
      present in oldstable and call update-modules which is
      a no-op.
  * modconf.8.{es,fr,pl}: Recode to UTF-8

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 30 Apr 2008 21:47:19 +0200

modconf (0.3.6) unstable; urgency=low

  * debian/control:
    + Bump kernel dependency to 2.6.24

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 05 Feb 2008 22:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Frank Lichtenheld <djpig@debian.org>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: linux-source-2.6.24, locales
 Standards-Version: 3.7.3
 Vcs-git: git://source.djpig.de/git/debian/modconf.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 	dh_testdir
 	[ -d build ] || mkdir build
 	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
-	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
 	cd build/linux-source-$(version26)
 	$(MAKE) KERNELTREE26=$(CURDIR)/build/linux-source-$(version26)
 	touch build-stamp
@@ -19,9 +18,8 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_clean
 	$(MAKE) clean
-	rm -f build-stamp
-	dh_clean
 
 binary-indep: build
 	dh_testdir
@@ -32,6 +30,7 @@
 
 	dh_installchangelogs
 	dh_installdocs
+	dh_installman
 
 	dh_compress
 	dh_fixperms

## modconf 0.3.9

=== debian/changelog ===
modconf (0.3.9) unstable; urgency=low

  * debian/control:
    + Bump kernel dependency to 2.6.26
  * debian/rules:
    + Do not try to apply Debian patches.
      linux-source-* contains those already.
    + Reduce with help of dh

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 31 Jul 2008 04:15:52 +0200

modconf (0.3.8) unstable; urgency=low

  * modconf, modules/*:
    + Fix bashisms of form "local foo=bar" (Closes: #471877)
  * Makefile:
    + Fix handling of Module-HOWTO file
  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 22 Jul 2008 03:07:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: modconf
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frank Lichtenheld <djpig@debian.org>
+Maintainer: Frank Lichtenheld <djpig@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: linux-source-2.6.24, locales
-Standards-Version: 3.7.3
+Build-Depends-Indep: linux-source-2.6.26, locales
+Standards-Version: 3.8.0
 Vcs-git: git://source.djpig.de/git/debian/modconf.git
 Vcs-Browser: http://source.djpig.de/git/?p=debian/modconf.git;a=summary

## modconf 0.3.9ubuntu1

=== debian/changelog ===
modconf (0.3.9ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes (LP: #300547):
  * Use build-dep-indep on linux-source-2.6.27 rather than linux-source-2.6.26
    (Changed from 2.6.24).

 -- Nick Ellery <nick.ellery@ubuntu.com>  Sun, 23 Nov 2008 22:57:33 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: modconf
 Section: admin
 Priority: optional
-Maintainer: Frank Lichtenheld <djpig@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frank Lichtenheld <djpig@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: linux-source-2.6.26, locales
+Build-Depends-Indep: linux-source-2.6.27, locales
 Standards-Version: 3.8.0
 Vcs-git: git://source.djpig.de/git/debian/modconf.git
 Vcs-Browser: http://source.djpig.de/git/?p=debian/modconf.git;a=summary

## modconf 0.3.11

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	install -m 755 modconf $(DESTDIR)/usr/sbin
 	install -d -m 755 $(DESTDIR)/usr/share/modconf
 	install -m 644 eval_* descr.gz $(DESTDIR)/usr/share/modconf
-	install -m 644 modules/dialog $(DESTDIR)/usr/share/modconf
+	install -m 755 modules/dialog $(DESTDIR)/usr/share/modconf
 	install -m 755 modules/util $(DESTDIR)/usr/share/modconf
 	install -m 755 modules/params $(DESTDIR)/usr/share/modconf
 	for x in $(MANPAGES) ; do \
@@ -45,7 +45,7 @@
 	if [ -f descr.additional ]; then cp descr.additional descr; fi
 	echo >>descr
 	echo >>descr
-	zcat $(HOWTO) | perl mkdescr.pl >> descr
+	cat $(HOWTO) | perl mkdescr.pl >> descr
 	gzip -9f descr
 
 eval_%.utf-8: eval_%

=== debian/changelog ===
modconf (0.3.11) unstable; urgency=low

  * QA upload
  * Bump dependency on linux-source to 2.6.32 (Closes: #564355). Thanks
    to Dario Minnucci for the patch.

 -- Ralf Treinen <treinen@debian.org>  Mon, 22 Feb 2010 20:28:18 +0100

modconf (0.3.10) unstable; urgency=low

  * Orphan the package

  * debian/control:
    + Bump kernel dependency to 2.6.31 (Closes: #536911)
    + Add ${misc:Depends} as suggested by lintian
  * modules/util:
    + Fix syntax error (Closes: #530984)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 29 Oct 2009 16:11:51 +0100

=== debian/control ===
Source: modconf
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: linux-source-2.6.32, locales
Standards-Version: 3.8.0
Vcs-git: git://source.djpig.de/git/debian/modconf.git
Vcs-Browser: http://source.djpig.de/git/?p=debian/modconf.git;a=summary

Package: modconf
Architecture: all
Depends: whiptail | whiptail-provider, module-init-tools | modutils, ${misc:Depends}
Conflicts: modutils (<< 2.1.85-14), module-init-tools (<< 3.1-pre2-1)
Description: Device Driver Configuration
 Modconf provides a terminal-based interface for installing and configuring
 device driver modules.

=== debian/rules ===
--- 
+++ 
@@ -11,34 +11,14 @@
 	dh_testdir
 	[ -d build ] || mkdir build
 	cd build && tar xjf /usr/src/linux-source-$(version26).tar.bz2
-	cd build/linux-source-$(version26)
 	$(MAKE) KERNELTREE26=$(CURDIR)/build/linux-source-$(version26)
 	touch build-stamp
 
 clean:
-	dh_testdir
-	dh_testroot
-	dh_clean
-	$(MAKE) clean
+	dh clean
 
 binary-indep: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/modconf
-
-	dh_installchangelogs
-	dh_installdocs
-	dh_installman
-
-	dh_compress
-	dh_fixperms
-
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh binary-indep --after dh_auto_build
 
 binary-arch: build
 # There are no architecture-dependent files to be uploaded
